# Doggies

https://doggies-5lbx6lbgwq-lz.a.run.app/

## Description

Who does not love doggies? A simple website that allows users to relax by looking at random photos of dogs in their natural habitat. The main purpose of the project is to get familiar with GraphQL.

When the woof woof button is clicked, the query type is sent to API `https://doggos-api.netlify.app/` and the result is displayed. The user can also specify the photos of the breed he would like to see.

## Deployment

1. Create _Dockerfile_ to describe docker image that contains ReactJs application. Keep in mind that the application should use the port number read from `PORT` environment variable.
2. Create docker image with the given tag

```bash
$ docker build -t doggies:1.0 .

# You can try starting image using docker compose file with following comment
$ docker-compose up
$ docker-compose down
```

3. Install gcloud CLI *https://cloud.google.com/sdk/docs/install*
4. Log in to the gcloud by running the following command

```bash
$ gcloud auth login
```

5. Configure Docker to access Google Cloud Container Registry

```bash
gcloud auth configure-docker
```

6. Create new project in Google Cloud project name: doggies and turn it on
7. Tag the docker image

```bash
# Tag: <Container Registry Domain>/<Project ID>/<Image Name>
$ docker tag doggies:1.0 gcr.io/soy-ascent-383019/doggies:1.0

```

8. Upload the image to Google Cloud

```bash
$ docker push gcr.io/soy-ascent-383019/doggies:1.0
```

9. Go to Google Cloud Run and create new service with the previously uploaded docker image
10. Use the URL generated by Google Cloud Run to open your page
    https://doggies-5lbx6lbgwq-lz.a.run.app/
